#!/usr/bin/perl
use warnings;
use strict;

binmode STDOUT, ":utf8";
use utf8;


my $nb_adh = 0; # nombre d'adhérents
my $nb_abo = 0; # nombre d'abonnés
my $site = ""; # site web
my $salon = ""; # salon irc/xmpp
my $statut = 0; # étape de 1 à 8 du FAI
my $date_crea = ""; # date de la création de l'asso
my $date_jffdn = ""; # date de la rentrée dans la fédé
my $contact = ""; # email de contact
my $description = ""; # description de l'asso

my $wrk_dir = "wrk-dir";

# Lis le fichier contenant les infos d'un FAI
sub info {
    my $fai = shift @_;
    my $filename = "/home/canouan/bot-irc/". $wrk_dir."/". $fai.".info";
    if (-e $filename)
    {
	my $fh;
	open ($fh, '<', $filename) or die "Impossible d'ouvrir le fichier $filename en lecture";
	while (my $line = <$fh>)
	{
	    return $line;
	}
	close $fh;
    }
    else
    {
	return "pas d'information pour ". $fai ."\n";
    }
}

# Lis le fichier contenant les nombres adh/abo d'un FAI
sub adh {
    my $fai = shift @_;
    my $filename = "/home/canouan/bot-irc/". $wrk_dir."/". $fai.".adh";
    my $fh;
    open ($fh, '<', $filename) or die "Impossible d'ouvrir le fichier $filename en lecture";
    while (my $line = <$fh>)
    {
	return $line;
    }
    close $fh;
}

# lis le fichier avec les infos pour la réunion de suivi
sub suivi {
    my $filename = "/home/canouan/bot-irc/". $wrk_dir."/suivi";
    if (-e $filename)
    {
	my $fh;
	open ($fh, '<', $filename) or die "Impossible d'ouvrir le fichier $filename en lecture";
	while (my $line = <$fh>)
	{
	    return $line;
	}
	close $fh;
    }
}

# lis le fichier avec les infos pour la réunion de suivi
sub vote {
    my $filename = "/home/canouan/bot-irc/". $wrk_dir."/vote";
    my $fh;
    open ($fh, '<', $filename) or die "Impossible d'ouvrir le fichier $filename en lecture";
    while (my $line = <$fh>)
    {
	return $line;
    }
    close $fh;
}



sub adh_abo_ffdn {
    my $filename = "/home/canouan/bot-irc/". $wrk_dir."/ffdn.adh";
    my $fh;
    open ($fh, '<', $filename) or die "Impossible d'ouvrir le fichier $filename en lecture";
    while (my $line = <$fh>)
    {
	return $line;
    }
    close $fh;
}

print info("ilicao");
print info("ilico");
